> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List UserInvitation

> List the invitations currently existing for this account.



## OpenAPI

````yaml /api/iam/api/user.openapi.json get /v1/userInvitations
openapi: 3.1.0
info:
  title: Confidence User API
  version: 1.0.0
  description: API documentation for user
servers: []
security: []
paths:
  /v1/userInvitations:
    get:
      summary: List UserInvitation
      description: List the invitations currently existing for this account.
      operationId: UserInvitation.list
      parameters:
        - name: pageSize
          in: query
          required: false
          description: The maximum number of user invitations to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
        - name: filter
          in: query
          required: false
          description: >-
            Filter to use for the request, follows the lucene query string
            format.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  userInvitations:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: >-
                            Name of the invitation on the form
                            `userInvitations/{"<"}id{">"}`.
                        invitedEmail:
                          type: string
                          description: The email to the send the invitation to
                        inviter:
                          type: string
                          description: >-
                            The person that initiated the invite. The email sent
                            to `invited_email` will contain this name. If not
                            sent and
                             the token is an end user token the name of the currently logged in user will be used.
                             Required if the token is an API client token.
                        ttl:
                          type: object
                          description: >-
                            The duration from create that the invite expires and
                            is no longer valid. Defaults to 7 days if not
                            specified.
                        expirationTime:
                          type: object
                          description: >-
                            The absolute time that the invite expires and is no
                            longer valid.
                        invitationUri:
                          type: string
                          description: URI for accepting the invite.
                        invitationToken:
                          type: string
                          description: >-
                            Token required to accept the invite (part of the
                            URI).
                        disableInvitationEmail:
                          type: boolean
                          description: >-
                            If true, no email will be sent with the invitation
                            link.
                        createTime:
                          type: object
                          description: Time when the user invitation was first created.
                        updateTime:
                          type: object
                          description: Time when the user invitation was last updated.
                        creator:
                          type: string
                          description: >-
                            Reference to the identity that created this user
                            invitation.
                        updater:
                          type: string
                          description: >-
                            Reference to the identity that last updated this
                            user invitation.
                        labels:
                          type: array
                          items:
                            type: object
                            additionalProperties:
                              type: string
                          description: General labels for this resource.
                      required:
                        - invitedEmail
                        - expirationTime
                        - invitationUri
                        - invitationToken
                        - createTime
                        - updateTime
                        - creator
                        - updater
                    description: List of user invitations.
                  nextPageToken:
                    type: string
                    description: >-
                      A token that can be used to fetch more user invitations,
                      empty if no more
                       user invitations are available.
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````